Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Fedora 4.6.0
    • Component/s: f4-core
    • Labels:

      Description

      Changes needed: Update the httpcomponents httpclient, httpmime, and httpcore dependencies to a version that is at least version 4.4+

      Reasoning: The work being done to allow Fedora to write to S3 [1] uses the latest AWS Java SDK, which has a dependency on methods added to the httpcomponent set in version 4.4 [2]. The simplest way to accommodate this and avoid multiple versions of the same jar would be to update the versions of the existing Fedora dependencies.

      [1] https://github.com/fcrepo4-labs/fcrepo-webapp-plus-cloud
      [2] https://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/SSLConnectionSocketFactory.html

        Attachments

          Activity

            People

            • Assignee:
              bbranan Bill Branan
              Reporter:
              bbranan Bill Branan
              Reviewer:
              A. Soroka
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: